sub eliminar {
local ($termino)=@_;


open (FICHERO, "$diccionario") || salir("Error al abrir el diccionario");
$encontrado = 0;
%diccionario=();
while ($linea = <FICHERO>)
{
	chop $linea;
	($term = $linea) =~ s/\|.*//;
	($sig = $linea) =~ s/[^\|]*\|//;
	if ($term eq $termino)
	{
		$encontrado = 1;
	} else
	{
		$diccionario{"$term"} = "$sig";
	}
}
close FICHERO;

if (! $encontrado)
{
	salir("No existe el termino en el diccionario");
}

open(FICHERO, ">$diccionario") || salir("Error al abrir el diccionario");
@claves = keys (%diccionario);
while ($item=shift(@claves))
{
	print FICHERO "$item|$diccionario{$item}\n";
}
close(FICHERO);

# Ahora genero el HTML de salida
open (DICC_HTML, ">$diccionario_html") || salir ("Error al abrir el diccionario html");
open(PLANTILLA, "$plantilla") || ("Error al abrir la plantilla");
while (<PLANTILLA>)
{
	print DICC_HTML $_;
}
close(PLANTILLA);

@claves =keys(%diccionario);
@idx = ();
for (@claves)
{
        ($item) = /\s*(\S+)/;
        push @idx, uc($item);
}
@sorted = @claves[ sort { $idx[$a] cmp $idx[$b] } 0 .. $#idx ];

while ($clave = shift(@sorted))
{
	print DICC_HTML "<P><B>$clave: </B>$diccionario{$clave}\n";
}
print DICC_HTML "</BODY></HTML>\n";

close(DICC_HTML);


# Ahora pongo la salida HTML
print "Content-type: text/html\n";
print "Location: /diccionario/index.html\n\n";
}

sub salir {
        ($cadena) = @_;
 
        print "Content-type: text/html\n\n";
        print "<HTML><BODY><FONT COLOR=red>Se ha producido un error\n";
        print "<P>mensaje = $cadena\n</FONT>";
        print "</BODY></HTML>\n";
        exit;
}

1;
